module.exports = {
  "root": true,
  "globals": {
    echarts: true,
    AMap: true,
  },
  "env": {
    "node": true
  },
  "extends": [
    "plugin:vue/essential",
    "eslint:recommended",
    "@vue/prettier"
  ],
  ignorePatterns: [
    `node_modules/`,
    `dist/`,
    `public/`,
    `src/assets/`,
  ],
  "parserOptions": {
    "parser": "babel-eslint"
  },
  "rules": {
    "no-var": "error",
    "spaced-comment": "error",
    "prettier/prettier": [
      "error",
      {
        "singleQuote": true,
        "semi": false
      }
    ],
    "semi": [
      "error",
      "never"
    ],
    "quotes": [
      "error",
      "backtick"
    ],
    "no-unused-vars": "off",
    "no-console": "off",
    "no-debugger": "off"
  }
}
